package com.yihu.jw.entity.base.servicePackage;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 签约的服务包记录表
 * Created by yeshijie on 2021/2/25.
 */
@Entity
@Table(name = "base_service_package_record")
public class ServicePackageRecordDO extends UuidIdentityEntityWithCreateTime implements Serializable {

    /**
     * '签约id'
     */
    private String signId;
    /**
     * '服务包id'
     */
    private String servicePackageId;
    /**
     * 居民id
     */
    private String patient;
    private String teamCode;//服务团队id

    public String getSignId() {
        return signId;
    }

    public void setSignId(String signId) {
        this.signId = signId;
    }

    public String getServicePackageId() {
        return servicePackageId;
    }

    public void setServicePackageId(String servicePackageId) {
        this.servicePackageId = servicePackageId;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "team_code")
    public String getTeamCode() {
        return teamCode;
    }

    public void setTeamCode(String teamCode) {
        this.teamCode = teamCode;
    }
}
